unit test_events_main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, Buttons, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    Memo1: TMemo;
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  Caption:='Test Events';
  Memo1.Lines.Clear;
  Memo1.Lines.Add('OnCreate raised:   '+IntToStr(GetTickCount64));
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  Memo1.Lines.Add('OnShow raised:     '+IntToStr(GetTickCount64));
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
  Memo1.Lines.Add('OnActivate raised: '+IntToStr(GetTickCount64));
end;

end.

